Method: projects.subscribers.subscriptions.patch

Updates the data types for an existing user subscription.

HTTP request

PATCH https://health.googleapis.com/v4/{subscription.name=projects/*/subscribers/*/subscriptions/*}

The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog

Path parameters

Parameters
subscription.name

string

Identifier. The resource name of the Subscription. Format: projects/{project}/subscribers/{subscriber}/subscriptions/{subscription} Example: projects/my-project/subscribers/my-subscriber-123/subscriptions/my-subscription-456 The {project} ID is mandatory (6-30 characters, matching /[a-z][a-z0-9-]{6,30}/) The {subscriber} ID is user-settable (4-36 characters, matching /a-z/) if provided during creation, or system-generated otherwise. The {subscription} ID is user-settable (4-36 chars, matching /a-z/) or system-generated otherwise. It takes the form projects/{project}/subscribers/{subscriber}/subscriptions/{subscription}.

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of Subscription.

Response body

If successful, the response body contains an instance of Subscription.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the OAuth 2.0 Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • health.subscriptions.update

For more information, see the IAM documentation.